## pg-hint-plan-18 1.8.0

=== Makefile ===
#
# pg_hint_plan: Makefile
#
# Copyright (c) 2012-2025, NIPPON TELEGRAPH AND TELEPHONE CORPORATION
#

MODULE_big = pg_hint_plan
OBJS = \
	$(WIN32RES) \
	pg_hint_plan.o \
	query_scan.o

HINTPLANVER = 1.8.0

REGRESS = init base_plan pg_hint_plan ut-init ut-A ut-S ut-J ut-L ut-G ut-R \
	ut-fdw ut-W ut-T ut-fini plpgsql hint_table disable_index \
	oldextversions
REGRESS_OPTS = --encoding=UTF8

EXTENSION = pg_hint_plan
DATA = \
	pg_hint_plan--1.3.0.sql \
	pg_hint_plan--1.3.0--1.3.1.sql \
	pg_hint_plan--1.3.1--1.3.2.sql \
	pg_hint_plan--1.3.2--1.3.3.sql \
	pg_hint_plan--1.3.3--1.3.4.sql \
	pg_hint_plan--1.3.5--1.3.6.sql \
	pg_hint_plan--1.3.4--1.3.5.sql \
	pg_hint_plan--1.3.6--1.3.7.sql \
	pg_hint_plan--1.3.7--1.3.8.sql \
	pg_hint_plan--1.3.8--1.3.9.sql \
	pg_hint_plan--1.3.9--1.3.10.sql \
	pg_hint_plan--1.3.10--1.3.11.sql \
	pg_hint_plan--1.3.11--1.4.sql \
	pg_hint_plan--1.4--1.4.1.sql \
	pg_hint_plan--1.4.1--1.4.2.sql \
	pg_hint_plan--1.4.2--1.4.3.sql \
	pg_hint_plan--1.4.3--1.4.4.sql \
	pg_hint_plan--1.4.4--1.5.sql \
	pg_hint_plan--1.5--1.5.1.sql \
	pg_hint_plan--1.5.1--1.5.2.sql \
	pg_hint_plan--1.5.2--1.5.3.sql \
	pg_hint_plan--1.5.3--1.6.0.sql \
	pg_hint_plan--1.6.0--1.6.1.sql \
	pg_hint_plan--1.6.1--1.6.2.sql \
	pg_hint_plan--1.6.2--1.7.0.sql \
	pg_hint_plan--1.7.0--1.7.1.sql \
	pg_hint_plan--1.7.1--1.8.0.sql

EXTRA_CLEAN = RPMS

# Switch environment between standalone make and make check with
# EXTRA_INSTALL from PostgreSQL tree
# run the following command in the PG tree to run a regression test
# loading this module.
# $ make check EXTRA_INSTALL=<this directory> EXTRA_REGRESS_OPTS="--temp-config <this directory>/pg_hint_plan.conf"
ifeq ($(wildcard $(DESTDIR)/../src/Makefile.global),)
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = `pwd`
top_builddir = $(DESTDIR)/..
include $(DESTDIR)/../src/Makefile.global
include $(DESTDIR)/../contrib/contrib-global.mk
endif

STARBALL18 = pg_hint_plan18-$(HINTPLANVER).tar.gz
STARBALLS = $(STARBALL18)

TARSOURCES = Makefile *.c  *.h COPYRIGHT* \
	pg_hint_plan--*.sql \
	pg_hint_plan.control \
	docs/* expected/*.out sql/*.sql \
	data/data.csv SPECS/*.spec

rpms: rpm18

# pg_hint_plan.c includes core.c and make_join_rel.c
pg_hint_plan.o: core.c make_join_rel.c

$(STARBALLS): $(TARSOURCES)
	if [ -h $(subst .tar.gz,,$@) ]; then rm $(subst .tar.gz,,$@); fi
	if [ -e $(subst .tar.gz,,$@) ]; then \
	  echo "$(subst .tar.gz,,$@) is not a symlink. Stop."; \
	  exit 1; \
	fi
	ln -s . $(subst .tar.gz,,$@)
	tar -chzf $@ $(addprefix $(subst .tar.gz,,$@)/, $^)
	rm $(subst .tar.gz,,$@)

rpm18: $(STARBALL18)
	MAKE_ROOT=`pwd` rpmbuild -bb SPECS/pg_hint_plan18.spec

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --resolver=backtracking requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via
    #   sphinx
    #   sphinx-intl
certifi==2025.1.31
    # via requests
charset-normalizer==3.0.1
    # via requests
click==8.1.3
    # via sphinx-intl
docutils==0.19
    # via
    #   myst-parser
    #   sphinx
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==7.1.0
    # via sphinx
jinja2==3.1.6
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==2.2.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.2
    # via jinja2
mdit-py-plugins==0.3.4
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==0.19.0
    # via -r requirements.in
packaging==23.0
    # via sphinx
pygments==2.16.1
    # via sphinx
pyyaml==6.0
    # via myst-parser
requests==2.32.4
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==5.3.0
    # via
    #   -r requirements.in
    #   myst-parser
    #   sphinx-intl
    #   sphinx-rtd-theme
sphinx-intl==2.1.0
    # via -r requirements.in
sphinx-rtd-theme==0.5.1
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.2
    # via
    #   -r requirements.in
    #   sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via
    #   -r requirements.in
    #   sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
urllib3==2.5.0
    # via requests
zipp==3.21.0
    # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
pg-hint-plan-18 (1.8.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 18.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:20:57 +0200

pg-hint-plan-18 (1.8.0-1) experimental; urgency=medium

  * pg-hint-plan for PostgreSQL 18.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Aug 2025 10:58:11 +0200

pg-hint-plan-17 (1.7.0-1) unstable; urgency=medium

  * pg-hint-plan for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 18:18:55 +0200

pg-hint-plan-16 (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1.

 -- Christoph Berg <myon@debian.org>  Sat, 31 Aug 2024 13:15:24 +0200

pg-hint-plan-16 (1.6.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Apr 2024 10:20:10 +0200

=== debian/control ===
Source: pg-hint-plan-18
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 flex,
 postgresql-all <!nocheck>,
 postgresql-common-dev,
 postgresql-server-dev-18,
Standards-Version: 4.7.2
Homepage: https://github.com/ossc-db/pg_hint_plan
Vcs-Browser: https://salsa.debian.org/postgresql/pg-hint-plan
Vcs-Git: https://salsa.debian.org/postgresql/pg-hint-plan.git -b 17

Package: postgresql-18-pg-hint-plan
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: support for optimizer hints in PostgreSQL
 PostgreSQL uses a cost-based optimizer that uses data statistics, not static
 rules. The planner (optimizer) estimates costs of each possible execution
 plans for a SQL statement, then executes the plan with the lowest cost. The
 planner does its best to select the best execution plan, but it is far from
 perfect, since it may not count some data properties, like correlation between
 columns.
 .
 pg_hint_plan makes it possible to tweak PostgreSQL execution plans using
 so-called "hints" in SQL comments, like /*+ SeqScan(a) */.

=== debian/rules ===
#!/usr/bin/make -f

export PG_SUPPORTED_VERSIONS=18
export PG_VIRTUALENV_ARGS=-oshared_preload_libraries=pg_stat_statements

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all docs/README docs/*.md

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g \
https://github.com/ossc-db/pg_hint_plan/tags .*/REL18_(.*).tar.gz
